/*

  GLOBAL VARIABLES FOR PROJECT

*/

//--- 1. FONTS ---//

//- INCLUDE FONTS FILES -//

// Roboto
@include font-face('Roboto', '../fonts/roboto-regular', 400, normal, woff woff2);
@include font-face('Roboto', '../fonts/roboto-medium', 500, normal, woff woff2);
@include font-face('Roboto', '../fonts/roboto-bold', 700, normal, woff woff2);

// Proxima Nova
@include font-face('Proxima Nova', '../fonts/proxima-nova-bold', 700, normal, woff);

//- FONT FACE -//

$font-family-primary: 'Roboto';
$font-family-secondary: 'Proxima Nova';

//- FONT SIZES -//

$font-size-primary: 14px;
$font-size-primary-smaller: $font-size-primary - 2px;
$font-size-primary-bigger: $font-size-primary + 4px;

$font-size-h1: 36px;
$font-size-h2: 30px;
$font-size-h3: 25px;
$font-size-h4: 22px;

// for responsive
$font-size-h1-phone: 24px;
$font-size-h2-phone: 24px;

//- LINE HEIGHT -//

$line-height-primary: 1.4;
$line-height-primary-smaller: $line-height-primary - 0.4;
$line-height-primary-bigger: $line-height-primary + 0.4;

//- FONT WEIGHT -//

$font-weight-regular: 400;
$font-weight-medium: 500;
$font-weight-bold: 700;

//--- 2.COLORS ---//

$color-primary: #0079c0;

$color-secondary: #1d2a33;
$color-secondary-dark: #1c262b;
$color-secondary-darken: #0f181f;

$color-black: #000;

$color-white: #fff;

$color-gray: #f3f3f3;
$color-gray-dark: #e0e0e0;

$color-error: #e01616;
$color-success: #68b432;
$color-warning: #ffc800;

$color-background-body: $color-white;

//--- 3. BUTTONS CONFIG ---//

$button: (
  padding: 0 25px,
  height: 35px,
  font-family: $font-family-primary,
  font-size: $font-size-primary,
  font-weight: $font-weight-regular,
  line-height: $line-height-primary,
  border-width: 1px,
  border-radius: 20px
);

//--- 4. FORM ---//

//- INPUTS -//

$input: (
  width: 100%,
  height: 40px,
  padding: 0 20px,
  font-family:$font-family-primary,
  font-size: $font-size-primary,
  font-weight: $font-weight-regular,
  color: $color-white,
  border: 1px solid $color-white,
  border-radius: 34px,
  placeholder: $color-white,
  transition: all .3s ease,
  background: transparent
);

//- TEXTAREA -//

//$textarea: (
//  width: 100%,
//  height: 150px,
//  padding: 22px,
//  font-family:$font-family-primary,
//  font-size: $font-size-primary,
//  font-weight: $font-weight-light,
//  color: $color-black,
//  border: 0,
//  border-radius: 10px,
//  placeholder: $color-black-light,
//  transition: all .3s ease,
//  background: $color-white-dark
//);


//--- 5. BREAKPOINTS ---//

$breakpoints: (
  "phone": 481px,
  "tablet-small": 601px,
  "tablet": 768px,
  "laptop": 991px,
  "desktop": 1200px,
  "desktop-max": 1920px,
);

//--- 6. Z INDEX ---// // z-index: z(overlay);

$z-layers: (
  back: -1,
  default: 1,
  button: 3,
  label-error: 2,
  header: 555,
  menu: 557,
  dropdown: 56,
  popup: 665
);
